## groovy.util
Class XmlNodePrinter

    java.lang.Object
      groovy.util.XmlNodePrinter

    public class XmlNodePrinter

extends Object

Prints a node with all children in XML format.

Author:
  Christian Stein
See Also:
  `NodePrinter`

Nested Class Summary
`protected class` `XmlNodePrinter.NamespaceContext`

Field Summary
`protected IndentPrinter` `out`

Constructor Summary
`XmlNodePrinter()`
`XmlNodePrinter(IndentPrinter out)`
`XmlNodePrinter(IndentPrinter out, String quote)`
`XmlNodePrinter(PrintWriter out)`
`XmlNodePrinter(PrintWriter out, String indent)`
`XmlNodePrinter(PrintWriter out, String indent, String quote)`

Method Summary
`String` `getQuote()` Get Quote to use when printing attributes.
`boolean` `isNamespaceAware()` Check if namespace handling is enabled.
`boolean` `isPreserveWhitespace()` Check if whitespace preservation is enabled.
`void` `print(Node node)`
`protected void` `print(Node node, XmlNodePrinter.NamespaceContext ctx)`
`protected void` `printLineBegin()`
`protected void` `printLineEnd()`
`protected void` `printLineEnd(String comment)`
`protected void` `printList(List list, XmlNodePrinter.NamespaceContext ctx)`
`protected void` `printName(Node node, XmlNodePrinter.NamespaceContext ctx, boolean begin, boolean preserve)`
`protected void` `printNameAttributes(Map attributes, XmlNodePrinter.NamespaceContext ctx)`
`protected void` `printNamespace(Object object, XmlNodePrinter.NamespaceContext ctx)`
`protected void` `printSimpleItem(Object value)`
`protected boolean` `printSpecialNode(Node node)`
`void` `setNamespaceAware(boolean namespaceAware)` Enable and/or disable namespace handling.
`void` `setPreserveWhitespace(boolean preserveWhitespace)` Enable and/or disable preservation of whitespace.
`void` `setQuote(String quote)` Set Quote to use when printing attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected final IndentPrinter out

Constructor Detail

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out)

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out,
                          String indent)

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out,
                          String indent,
                          String quote)

### XmlNodePrinter

    public XmlNodePrinter(IndentPrinter out)

### XmlNodePrinter

    public XmlNodePrinter(IndentPrinter out,
                          String quote)

### XmlNodePrinter

    public XmlNodePrinter()

Method Detail

### print

    public void print(Node node)

### isNamespaceAware

    public boolean isNamespaceAware()

  Check if namespace handling is enabled. Defaults to `true`.

  Returns:
    true if namespace handling is enabled

### setNamespaceAware

    public void setNamespaceAware(boolean namespaceAware)

  Enable and/or disable namespace handling.

  Parameters:
    `namespaceAware` - the new desired value

### isPreserveWhitespace

    public boolean isPreserveWhitespace()

  Check if whitespace preservation is enabled. Defaults to `false`.

  Returns:
    true if whitespaces are honoured when printing simple text nodes

### setPreserveWhitespace

    public void setPreserveWhitespace(boolean preserveWhitespace)

  Enable and/or disable preservation of whitespace.

  Parameters:
    `preserveWhitespace` - the new desired value

### getQuote

    public String getQuote()

  Get Quote to use when printing attributes.

  Returns:
    the quote character

### setQuote

    public void setQuote(String quote)

  Set Quote to use when printing attributes.

  Parameters:
    `quote` - the quote character

### print

    protected void print(Node node,
                         XmlNodePrinter.NamespaceContext ctx)

### printLineBegin

    protected void printLineBegin()

### printLineEnd

    protected void printLineEnd()

### printLineEnd

    protected void printLineEnd(String comment)

### printList

    protected void printList(List list,
                             XmlNodePrinter.NamespaceContext ctx)

### printSimpleItem

    protected void printSimpleItem(Object value)

### printName

    protected void printName(Node node,
                             XmlNodePrinter.NamespaceContext ctx,
                             boolean begin,
                             boolean preserve)

### printSpecialNode

    protected boolean printSpecialNode(Node node)

### printNamespace

    protected void printNamespace(Object object,
                                  XmlNodePrinter.NamespaceContext ctx)

### printNameAttributes

    protected void printNameAttributes(Map attributes,
                                       XmlNodePrinter.NamespaceContext ctx)

Copyright © 2003-2009 The Codehaus. All rights reserved.